Yandex Cloud
КейсыДокументация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Managed Service for Valkey™
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • StartFailover
        • RestartHosts
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • Rebalance
        • EnableSharding
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Backup
  1. Справочник API
  2. REST (англ.)
  3. Cluster
  4. ListBackups

Managed Service for Redis API, REST: Cluster.ListBackups

Статья создана
Yandex Cloud
Обновлена 7 октября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Backup

Retrieves the list of available backups for the specified Valkey cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-redis/v1/clusters/{clusterId}/backups

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Valkey cluster.
To get the Valkey cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListClusterBackupsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set pageToken to the ListClusterBackupsResponse.nextPageToken
returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "backups": [
    {
      "id": "string",
      "folderId": "string",
      "createdAt": "string",
      "sourceClusterId": "string",
      "startedAt": "string",
      "sourceShardNames": [
        "string"
      ],
      "type": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

backups[]

Backup

List of Valkey backups.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListClusterBackupsRequest.pageSize, use the nextPageToken as the value
for the ListClusterBackupsRequest.pageToken query parameter in the next list request.
Each subsequent list request will have its own nextPageToken to continue paging through the results.

BackupBackup

Description of a Valkey backup. For more information, see
the Managed Service for Valkey documentation.

Field

Description

id

string

Required field. ID of the backup.

folderId

string

Required field. ID of the folder that the backup belongs to.

createdAt

string (date-time)

Required field. Creation timestamp in RFC3339 text format
(i.e. when the backup operation was completed).

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

sourceClusterId

string

Required field. ID of the Valkey cluster that the backup was created for.

startedAt

string (date-time)

Required field. Start timestamp in RFC3339 text format
(i.e. when the backup operation was started).

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

sourceShardNames[]

string

Shard names used as a source for backup.

type

enum (BackupType)

How this backup was created (manual/automatic/etc...)

  • AUTOMATED: Backup created by automated daily schedule.
  • MANUAL: Backup created by user request

Была ли статья полезна?

Предыдущая
ListOperations
Следующая
ListHosts
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»